Get a category
GET
/categories/{id}
const url = 'https://api.motenya.app/v1/categories/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.motenya.app/v1/categories/example \ --header 'Authorization: Bearer <token>'Requires categories:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”The category
Media typeapplication/json
object
id
required
string
kbId
required
string
language
required
string
parentId
required
string | null
slug
required
string
name
required
string
description
required
string | null
icon
required
string | null
tags
required
Array<string>
hidden
required
boolean
translationGroupId
required
string | null
translations
required
Array<object>
object
language
required
string
slug
required
string
children
required
Child categories, recursively.
Array<object>
object
id
required
string
kbId
required
string
language
required
string
parentId
required
string | null
slug
required
string
name
required
string
description
required
string | null
icon
required
string | null
tags
required
Array<string>
hidden
required
boolean
translationGroupId
required
string | null
translations
required
Array<object>
object
language
required
string
slug
required
string
key
additional properties
Example generated
{ "id": "example", "kbId": "example", "language": "example", "parentId": "example", "slug": "example", "name": "example", "description": "example", "icon": "example", "tags": [ "example" ], "hidden": true, "translationGroupId": "example", "translations": [ { "language": "example", "slug": "example" } ], "children": [ { "id": "example", "kbId": "example", "language": "example", "parentId": "example", "slug": "example", "name": "example", "description": "example", "icon": "example", "tags": [ "example" ], "hidden": true, "translationGroupId": "example", "translations": [ { "language": "example", "slug": "example" } ] } ]}Invalid request
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Missing, invalid, revoked or expired API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Missing scope, API turned off, published article without publish scope, or account suspended
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Not found, or outside the knowledge bases this key may use
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Slug or translation already exists
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Rejected by validation (e.g. unknown language or category)
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Rate limited; see Retry-After
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Internal error